nxt.blockchain

## Interface Block

- All Known Implementing Classes:
    BlockImpl

      public interface Block

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getBaseTarget()`
    `byte[]` | `getBlockSignature()`
    `byte[]` | `getBytes()`
    `java.math.BigInteger` | `getCumulativeDifficulty()`
    `java.util.List<? extends FxtTransaction>` | `getFxtTransactions()`
    `byte[]` | `getGenerationSignature()`
    `long` | `getGeneratorId()`
    `byte[]` | `getGeneratorPublicKey()`
    `int` | `getHeight()`
    `long` | `getId()`
    `long` | `getNextBlockId()`
    `byte[]` | `getPayloadHash()`
    `byte[]` | `getPreviousBlockHash()`
    `long` | `getPreviousBlockId()`
    `java.lang.String` | `getStringId()`
    `int` | `getTimestamp()`
    `long` | `getTotalFeeFQT()`
    `int` | `getVersion()`

- - ### Method Detail

    - #### getVersion

          int getVersion()

    - #### getId

          long getId()

    - #### getStringId

          java.lang.String getStringId()

    - #### getHeight

          int getHeight()

    - #### getTimestamp

          int getTimestamp()

    - #### getGeneratorId

          long getGeneratorId()

    - #### getGeneratorPublicKey

          byte[] getGeneratorPublicKey()

    - #### getPreviousBlockId

          long getPreviousBlockId()

    - #### getPreviousBlockHash

          byte[] getPreviousBlockHash()

    - #### getNextBlockId

          long getNextBlockId()

    - #### getTotalFeeFQT

          long getTotalFeeFQT()

    - #### getPayloadHash

          byte[] getPayloadHash()

    - #### getFxtTransactions

          java.util.List<? extends FxtTransaction> getFxtTransactions()

    - #### getGenerationSignature

          byte[] getGenerationSignature()

    - #### getBlockSignature

          byte[] getBlockSignature()

    - #### getBaseTarget

          long getBaseTarget()

    - #### getCumulativeDifficulty

          java.math.BigInteger getCumulativeDifficulty()

    - #### getBytes

          byte[] getBytes()